﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace SimpleMonoGame
{
    class GameObject
    {
        public Texture2D texture = Program.game.texture;
        public Vector2 position = new Vector2(0, 0);
        public Color color = Color.White;
        private static Random random = new Random();
        public Vector2 velocity;
        public int maxVelocity = 50;

        public GameObject()
        {
            position = new Vector2(random.Next(0, 1920), random.Next(0, 1080));
            velocity = new Vector2(random.Next(-maxVelocity, maxVelocity), random.Next(-maxVelocity, maxVelocity));
        }

        public void Update()
        {
            // Change to random color
            color.R = (byte) random.Next(1, 255);
            color.G = (byte)random.Next(1, 255);
            color.B = (byte)random.Next(1, 255);
            
            

            // Border collision
            if (position.X > 1900)
            {
                velocity.X *= -0.8f;
                position.X = 1899;
            }

            if (position.X < 0)
            {
                velocity.X *= -0.8f;
                position.X = 1;
            }

            if (position.Y > 1050)
            {
                velocity.Y *= -0.8f;
                position.Y = 1049;
            }

            if (position.Y < 0)
            {
                velocity.Y *= -0.8f;
                position.Y = 1;
            }

            // Gravity
            velocity.Y += 0.5f;

            // Move Zig
            position += velocity;
        }
    }
}
